%define vers			2.6.34
%define ver			195.36.24
%define pkg			195.36.24
%define __spec_install_post 	/usr/lib/rpm/brp-compress

Summary:	NVIDIA-Linux-x86
Name:		NVIDIA-Linux-x86
Version:	195.36.24_2.6.34
Release:	2
License:	GPL
Group:		System
URL:		http://alinux.tv
Source0:	NVIDIA-Linux-x86-195.36.24-pkg1.run
Patch0:		nvidia-settings.desktop.diff
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the X11 driver, utilities and libraries needed for the
NVIDIA proprietary driver NVIDIA graphic cards.

This Package contains the kernel modules required for 3D acceleration with
the NVIDIA proprietary driver NVIDIA graphic cards.  This package is built 
for kernel %{vers}



%prep
rm -rf NVIDIA-Linux-x86-%pkg-pkg1
sh %{SOURCE0} -x
cd NVIDIA-Linux-x86-%pkg-pkg1/
%patch0 -p0

%build
cd NVIDIA-Linux-x86-%pkg-pkg1/usr/src/nv; make; make module; cd -

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/modules/%vers/kernel/drivers/gpu/drm/nvidia
cp NVIDIA-Linux-x86-%pkg-pkg1/usr/src/nv/nvidia.ko $RPM_BUILD_ROOT/lib/modules/%vers/kernel/drivers/gpu/drm/nvidia
cp -R NVIDIA-Linux-x86-%pkg-pkg1/usr $RPM_BUILD_ROOT/
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/include/GL; mv $RPM_BUILD_ROOT/usr/include/GL $RPM_BUILD_ROOT/usr/X11R6/include/GL/nvidia
rm $RPM_BUILD_ROOT/usr/lib/libGL.la; rm -r $RPM_BUILD_ROOT/usr/src
mv $RPM_BUILD_ROOT/usr/share/man $RPM_BUILD_ROOT/usr/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -a %{vers} 1>/dev/null 2>/dev/null
if [ -f /usr/X11R6/lib/modules/extensions/libglx.so ]; then
mv /usr/X11R6/lib/modules/extensions/libglx.so /usr/X11R6/ 2>/dev/null || :
ln -sf libglx.so.%ver /usr/X11R6/lib/modules/extensions/libglx.so 2>/dev/null || :
mv /usr/lib/libGL.so.1 /usr/X11R6/ 2>/dev/null || :
mv /usr/X11R6/lib/libGL.so.1.2 /usr/X11R6/ 2>/dev/null || :
/sbin/ldconfig
/usr/bin/nvidia-xconfig 2>/dev/null || :
fi

%postun
/sbin/depmod -a 1>/dev/null 2>/dev/null
if [ -f /usr/X11R6/libglx.so ]; then
rm /usr/X11R6/lib/modules/extensions/libglx.so 2>/dev/null || :
mv /usr/X11R6/libglx.so /usr/X11R6/lib/modules/extensions/ 2>/dev/null || :
rm /usr/lib/libGL.so.1 2>/dev/null || :
mv /usr/X11R6/libGL.so.1 /usr/lib/ 2>/dev/null || :
mv /usr/X11R6/libGL.so.1.2 /usr/X11R6/lib/ >/dev/null || :
mv /etc/X11/xorg.conf.backup /etc/X11/XF86Config-4 2>/dev/null || :
/sbin/ldconfig
fi

%files
%defattr(-,root,root)
/*
